Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
Class StreamCharBuffer.AllocatedBufferReader

    java.lang.Object
      org.codehaus.groovy.grails.web.util.StreamCharBuffer.ChunkReader
          org.codehaus.groovy.grails.web.util.StreamCharBuffer.AllocatedBufferReader

Enclosing class:
  StreamCharBuffer

    final class StreamCharBuffer.AllocatedBufferReader

extends StreamCharBuffer.ChunkReader

Field Summary
`(package private) StreamCharBuffer.AllocatedBuffer` | `parent`
`(package private) int` | `position`
`(package private) boolean` | `removeAfterReading`
`(package private) int` | `writerUsedCounter`

Constructor Summary
`StreamCharBuffer.AllocatedBufferReader(StreamCharBuffer.AllocatedBuffer parent, boolean removeAfterReading)`

Method Summary
`int` | `getReadLenLimit(int askedAmount)`
`int` | `getWriterUsedCounter()`
`boolean` | `isValid()`
`StreamCharBuffer.ChunkReader` | `next()`
`int` | `read(char[] ch, int off, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    StreamCharBuffer.AllocatedBuffer parent

### position

    int position

### writerUsedCounter

    int writerUsedCounter

### removeAfterReading

    boolean removeAfterReading

Constructor Detail

### StreamCharBuffer.AllocatedBufferReader

    public StreamCharBuffer.AllocatedBufferReader(StreamCharBuffer.AllocatedBuffer parent,
                                                  boolean removeAfterReading)

Method Detail

### getReadLenLimit

    public int getReadLenLimit(int askedAmount)

  Specified by:
    `getReadLenLimit` in class `StreamCharBuffer.ChunkReader`

### read

    public int read(char[] ch,
                    int off,
                    int len)
             throws IOException

  Specified by:
    `read` in class `StreamCharBuffer.ChunkReader`
  Throws:
    `IOException`

### next

    public StreamCharBuffer.ChunkReader next()

  Specified by:
    `next` in class `StreamCharBuffer.ChunkReader`

### getWriterUsedCounter

    public int getWriterUsedCounter()

  Specified by:
    `getWriterUsedCounter` in class `StreamCharBuffer.ChunkReader`

### isValid

    public boolean isValid()

  Specified by:
    `isValid` in class `StreamCharBuffer.ChunkReader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD